summaryrefslogtreecommitdiffstats
path: root/games/wormux
diff options
context:
space:
mode:
author Adnan Hodzic2010-05-11 14:28:24 +0200
committer Michiel van Wessem2010-05-11 14:28:24 +0200
commit081c60bf85c2e9c73ff8ed5e1f261be34bb1984b (patch)
tree13b016bdbfc07ef941e29b17909f103f02266a43 /games/wormux
parentcd2b0031fde2dd29f8c6d7ac1274cefcbbb2885f (diff)
downloadslackbuilds-081c60bf85c2e9c73ff8ed5e1f261be34bb1984b.tar.gz
games/wormux: Initial import
Diffstat (limited to 'games/wormux')
-rw-r--r--games/wormux/README16
-rw-r--r--games/wormux/doinst.sh7
-rw-r--r--games/wormux/slack-desc11
-rw-r--r--games/wormux/wormux.SlackBuild92
-rw-r--r--games/wormux/wormux.info8
-rw-r--r--games/wormux/wormux.pngbin0 -> 9188 bytes
6 files changed, 134 insertions, 0 deletions
diff --git a/games/wormux/README b/games/wormux/README
new file mode 100644
index 0000000000..92fc267efb
--- /dev/null
+++ b/games/wormux/README
@@ -0,0 +1,16 @@
+Wormux - War is declared !
+
+Have the mascots of your favorite free softwares battle in the Wormux arena.
+Using dynamite, grenades, baseball bat and others bazookas,... exterminate
+your opponent in a 2D toon style scenery and a funny environment.
+
+Each player (2 minimum on the same PC or network game with 0.8 version)
+controls the team of his choice (penguin, gnu, firefox, wilber,...) and must
+destroy his adversary using more or less casual weapons.
+
+Although a minimum of strategy is required to vanquish, Wormux is
+pre-eminently a "convivial mass murder" game where, turn by turn, each
+member of each team attempts to produce a maximum of damage to his opponents.
+
+Dependencies:
+ libsigc++, glibmm, libxml++, and SDL_gfx (all avaiable on slackbuilds.org)
diff --git a/games/wormux/doinst.sh b/games/wormux/doinst.sh
new file mode 100644
index 0000000000..2cf8c08ed3
--- /dev/null
+++ b/games/wormux/doinst.sh
@@ -0,0 +1,7 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x usr/bin/update-mime-database ]; then
+ ./usr/bin/update-mime-database ./usr/share/mime >/dev/null 2>&1
+fi
diff --git a/games/wormux/slack-desc b/games/wormux/slack-desc
new file mode 100644
index 0000000000..c102bed336
--- /dev/null
+++ b/games/wormux/slack-desc
@@ -0,0 +1,11 @@
+wormux: Wormux is a Worms linux/unix clone.
+wormux:
+wormux: Have the mascots of your favorite free softwares battle in the Wormux
+wormux: arena. Using dynamite, grenades, baseball bat and others bazookas,...
+wormux: exterminate your opponent in a 2D toon style scenery and a funny
+wormux: environment.
+wormux:
+wormux: Homepage: http://www.wormux.org
+wormux:
+wormux:
+wormux:
diff --git a/games/wormux/wormux.SlackBuild b/games/wormux/wormux.SlackBuild
new file mode 100644
index 0000000000..926c2f1c3f
--- /dev/null
+++ b/games/wormux/wormux.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for wormux
+
+# Copyright 2007 Adnan Hodzic aka AbsintheSyringe (AbsintheSyringe@gmail.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=wormux
+VERSION=0.7.9
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --program-prefix="" \
+ --program-suffix="" \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+install -D -m 0644 $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+mv $PKG/usr/share/$PRGNAM/$PRGNAM.desktop $PKG/usr/share/applications/
+sed -i 's#Icon=wormux_128x128.png#Icon=/usr/share/pixmaps/wormux.png#' \
+ $PKG/usr/share/applications/$PRGNAM.desktop || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a examples/ ChangeLog INSTALL NEWS README TODO using_wormux.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+( cd $PKG/usr/man
+ find . -type f -exec chmod 0644 {} \;
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/wormux/wormux.info b/games/wormux/wormux.info
new file mode 100644
index 0000000000..95b6ae70f0
--- /dev/null
+++ b/games/wormux/wormux.info
@@ -0,0 +1,8 @@
+PRGNAM="wormux"
+VERSION="0.7.9"
+HOMEPAGE="http://wormux.org/wiki/en/index.php"
+DOWNLOAD="http://download.gna.org/wormux/wormux-0.7.9.tar.gz"
+MD5SUM="d921ae5bad243dec7bb6825d6e0b9d16"
+MAINTAINER="Adnan Hodzic"
+EMAIL="AbsintheSyringe@gmail.com"
+APPROVED="BP{k}"
diff --git a/games/wormux/wormux.png b/games/wormux/wormux.png
new file mode 100644
index 0000000000..f4d8a011ba
--- /dev/null
+++ b/games/wormux/wormux.png
Binary files differ